Bug 2025711 - Review Request: golang-github-letsencrypt-challtestsrv - Small TEST-ONLY server for mock ACME challenges
Summary: Review Request: golang-github-letsencrypt-challtestsrv - Small TEST-ONLY ser...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roman Inflianskas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-22 19:32 UTC by Paul Wouters
Modified: 2021-12-16 01:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-16 01:13:27 UTC
Type: ---
rominf: fedora-review+


Attachments (Terms of Use)

Description Paul Wouters 2021-11-22 19:32:07 UTC
Spec URL: https://download.nohats.ca/golang-github-letsencrypt-challtestsrv/golang-github-letsencrypt-challtestsrv.spec
SRPM URL: https://download.nohats.ca/golang-github-letsencrypt-challtestsrv/golang-github-letsencrypt-challtestsrv-1.2.1-1.fc34.src.rpm
Description: Small TEST-ONLY server for mock DNS & responding to HTTP-01, DNS-01, and TLS-ALPN-01 ACME challenges.
Fedora Account System Username: pwouters

Comment 1 Roman Inflianskas 2021-12-07 10:17:41 UTC
Approved.

This is a library only Go package, but it's not clear from README (it mentions
"command"). Here is a PR with the fix:
https://github.com/letsencrypt/challtestsrv/pull/17

[NOTE] Lots of other packages own /usr/share/gocode/src/github.com, it's fine.
Can't be fixed here anyway.

[NOTE] There are no tests in upstream.
Here is an issue: https://github.com/letsencrypt/challtestsrv/issues/18

[NOTE] rpmlint warnings on golang-github-letsencrypt-challtestsrv-devel.noarch
and golang-github-letsencrypt-challtestsrv.src can be ignored. Not something
that can be fixed here.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "*No
     copyright* Mozilla Public License 2.0", "BSD 3-clause "New" or
     "Revised" License". 641 files have unknown license. Detailed output of
     licensecheck in /home/rominf/dev/fedora-scm/review/2025711-golang-
     github-letsencrypt-challtestsrv/licensecheck.txt
[-]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-letsencrypt-challtestsrv-devel-1.2.1-1.fc36.noarch.rpm
          golang-github-letsencrypt-challtestsrv-1.2.1-1.fc36.src.rpm
golang-github-letsencrypt-challtestsrv-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/letsencrypt/challtestsrv/.goipath
golang-github-letsencrypt-challtestsrv.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/letsencrypt/challtestsrv/archive/v1.2.1/challtestsrv-1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 44f90fdc3ba9eab56f942fadeedc575a7ea64d782708081ae8ff4800c2d09fe2
  CHECKSUM(SHA256) upstream package : 44f90fdc3ba9eab56f942fadeedc575a7ea64d782708081ae8ff4800c2d09fe2


Requires
--------
golang-github-letsencrypt-challtestsrv-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/miekg/dns)



Provides
--------
golang-github-letsencrypt-challtestsrv-devel:
    golang(github.com/letsencrypt/challtestsrv)
    golang-github-letsencrypt-challtestsrv-devel
    golang-ipath(github.com/letsencrypt/challtestsrv)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2025711
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Perl, SugarActivity, fonts, R, PHP, Python, Java, Ocaml, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Gwyn Ciesla 2021-12-07 16:01:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-letsencrypt-challtestsrv

Comment 3 Fedora Update System 2021-12-07 18:29:59 UTC
FEDORA-2021-f715cdc8e7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f715cdc8e7

Comment 4 Fedora Update System 2021-12-07 18:30:14 UTC
FEDORA-2021-1b96f6487d has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1b96f6487d

Comment 5 Fedora Update System 2021-12-08 01:36:36 UTC
FEDORA-2021-f715cdc8e7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-f715cdc8e7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f715cdc8e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-12-08 01:39:41 UTC
FEDORA-2021-1b96f6487d has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-1b96f6487d \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1b96f6487d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-12-16 01:13:27 UTC
FEDORA-2021-1b96f6487d has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-12-16 01:17:05 UTC
FEDORA-2021-f715cdc8e7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.